Create production schedule version task link

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/production-schedule-version-task-links

Create a link between a production schedule version and a task. JSON format is expected. Task and schedule version must be in the same project. Requires manager access to the project.

application/json

Body Required

  • production_schedule_version_id string(uuid) Required
  • task_id string(uuid) Required

Responses

  • 201 application/json

    Task link created successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • production_schedule_version_id string(uuid)
    • task_id string(uuid)
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid data format or task and schedule version not in same project

POST /data/production-schedule-version-task-links
curl -X POST "http://api.example.com/data/production-schedule-version-task-links" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "production_schedule_version_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "task_id": "b24a6ea4-ce75-4665-a070-57453082c25"
}'
import requests

url = "http://api.example.com/data/production-schedule-version-task-links"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "production_schedule_version_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_id": "b24a6ea4-ce75-4665-a070-57453082c25"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/production-schedule-version-task-links' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"production_schedule_version_id":"a24a6ea4-ce75-4665-a070-57453082c25","task_id":"b24a6ea4-ce75-4665-a070-57453082c25"}'
Request examples
{
  "production_schedule_version_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "task_id": "b24a6ea4-ce75-4665-a070-57453082c25"
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "production_schedule_version_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "task_id": "c24a6ea4-ce75-4665-a070-57453082c25",
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}